@media all {

  .ce-type-news_newsdetail {
    grid-row-gap: var(--page-gap);
    
    & .ce-header h1 {
      color: var(--color-blue);
      --dynamic-size-min: 2.5;
      --dynamic-size-max: 2.5;
      font-family: 'Roboto', sans-serif;
    }
  
    & > .ce-inner {
      grid-column: 3 / -3;
  
      & > .ce-text ,
      & > .news-related {
        /* max-width: var(--max-inline-width); */
        margin-inline: auto;
      }

    }

    & > .ce-media {
      grid-column: 3 / -3;
      
      & > .ce-gallery {
        --columns: 1;
        display: grid;
        gap: var(--page-grid-gap);
        grid-template-columns: repeat(var(--columns), minmax(0, 1fr));

        &[data-ce-images="2"] ,
        &[data-ce-images="4"] {
          --columns: 2;
        }
        &[data-ce-images="3"] ,
        &[data-ce-images="5"] ,
        &[data-ce-images="6"] ,
        &[data-ce-images="9"] {
          --columns: 3;
        }

        & > .ce-media-file {
          border-radius: var(--radius-medium);
          overflow: clip;
        }

      }

    }

    & > .news-related-wrap .news-related-files {
        display: grid;
        grid-row-gap: var(--element-gap);

      & > .ce-nested-container {
        display: grid;
        grid-gap: var(--page-grid-gap);

        & > .ce-element-nested {

          & > .ce-inner {
            display: flex;
            gap: var(--element-gap-text);

            & > .ce-download-icon {
              order: 0;
              font-size: 2em;
              line-height: 1.25;
              color: var(--current-link-color);
            }

            & > .ce-text {
              align-self: center;
              order: 1;
            }

          }

        }

      }

    }

  }

}

@media (min-width: 62.5rem) {

  .ce-type-news_newsdetail {
  
    & > .ce-inner {
      grid-column: 7 / -7;
    }

    & > .ce-media {
      grid-column: 5 / -5;
    }

    & > .ce-media:has( > [data-ce-images="1"]) {
      grid-column: 9 / -9;
    }

  }
  
}